netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
charset_functions Struct Reference

`#include <unicode.h>`

## Data Fields
const char * | name
const long | kTextEncoding
size_t(* | pull )(void *, char **inbuf, size_t *inbytesleft, char **outbuf, size_t *outbytesleft)
size_t(* | push )(void *, char **inbuf, size_t *inbytesleft, char **outbuf, size_t *outbytesleft)
uint32_t | flags
const char * | iname
struct charset_functions * | prev
struct charset_functions * | next

## Field Documentation

## ◆ flags

uint32_t charset_functions::flags

## ◆ iname

const char* charset_functions::iname

## ◆ kTextEncoding

const long charset_functions::kTextEncoding

## ◆ name

const char* charset_functions::name

## ◆ next

struct charset_functions * charset_functions::next

## ◆ prev

struct charset_functions* charset_functions::prev

## ◆ pull

size_t(* charset_functions::pull) (void *, char **inbuf, size_t *inbytesleft, char **outbuf, size_t *outbytesleft)

## ◆ push

size_t(* charset_functions::push) (void *, char **inbuf, size_t *inbytesleft, char **outbuf, size_t *outbytesleft)

The documentation for this struct was generated from the following file:

- unicode.h